*,
*::after,
*::before {
    box-sizing: border-box;
}

body {
    margin: 0 auto;
    margin-bottom: 50px; /* little bufferzone */
    padding: 16px 12px;
    width: 646px;
    max-width: 100%;
    font-family: 'Times New Roman', Times, serif;
    line-height: 1.3;
    color: #302c26;
    background-color: #f2f2f2;
    text-wrap: pretty;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    line-height: 1.2;
    font-family: 'Times New Roman', Times, serif;
}

a {
    color: #000;
    font-style: italic;
}

a[target="_blank"] {
    color: #00a;
}

footer {
    margin: 18px 0;
    opacity: 0.7;
    font-size: 0.875rem;
}

footer > p {
    margin: 0;
}

img {
    width: 100%;
}

header h2, h2.site-header {
    margin: 0;
    text-box: trim-both cap alphabetic;
}

nav {
    gap: 10px;
    display: inline-flex;
}

nav a {
    text-box: trim-both cap alphabetic;
}

table {
    width: 100%;
    margin: 10px 0;
    table-layout: fixed;
    border-collapse: collapse;
    border: 1px solid #302c26;
}

th, td {
    border: 1px solid #302c26;
    padding: 4px 8px;
}

dt { font-weight: bold; }
dd {
    font-size: 0.98rem;
    margin-bottom: 1.5ch;
}

pre:has(code) {
    padding: 6px;
    background-color: rgb(245, 241, 224);
}

figure {
    width: 95%;
    margin: 0 auto;
}

img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

figcaption {
    text-align: center;
    font-style: italic;
}

summary {
    cursor: pointer;
}

.spaced {
    display: flex;
    gap: 15px;
}

html:has(body.centralized) {
    height: 100%;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

body.centralized {
    padding-top: 0;
    padding-bottom: 0;
    margin-bottom: 0;
}

hr {
    all: unset;
    display: block;
    height: 1px;
    background-color: currentColor;
}
